OAuth
Manage OAuth configurations (Preview)
This functionality is in preview mode - some of the features may not be fully operational yet.
Retrieves OAuth configurations based on the provided query.
- : Needed to read AI agents.
Your Emporix tenant name.
Note: The tenant name should always be provided in lowercase.
A standard query parameter is used to search for specific values.
The number of documents to be retrieved per page.
The page number to be retrieved. The size of the pages should be specified by the pageSize parameter.
List of properties used to sort the results, separated by colons.
Fields to be returned in the response.
Fields to be expanded in the response. It means that instead of the object IDs, the whole objects are returned in the response.
Flag indicating whether the total number of retrieved results should be returned.
List of OAuth configurations.
OAuth 2.0 client-credentials settings for authenticating with a self-hosted LLM backend.
Token endpoint URL of the OAuth 2.0 authorization server used to request an access token.
OAuth 2.0 client identifier registered with the authorization server.
OAuth 2.0 grant type used to obtain an access token. Currently only client_credentials is supported.
Optional space-separated list of scopes to request for the access token.
Indicates whether the OAuth configuration is enabled.
trueUnique identifier of the entity.
The full response representing token. If the expand=token is not used, then only id field is returned, otherwise all fields are returned.
The request was syntactically incorrect.
The authorization token is invalid or has expired.
Authorization scopes of the access token are not sufficient and do not match the scopes required by the endpoint.
GET /ai-service/{tenant}/agentic/oauths HTTP/1.1
Host: api.emporix.io
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
[
{
"id": "oauth-1",
"url": "https://auth.example.com/token",
"clientId": "client-1",
"clientSecretToken": {
"id": "token-id"
},
"grantType": "client_credentials",
"scope": "llm read",
"enabled": true
},
{
"id": "oauth-2",
"url": "https://auth2.example.com/token",
"clientId": "client-2",
"clientSecretToken": {
"id": "token-id-2"
},
"grantType": "client_credentials",
"scope": "llm",
"enabled": true
}
]This functionality is in preview mode - some of the features may not be fully operational yet.
Searches for OAuth configurations based on the provided query.
- : Needed to read AI agents.
Your Emporix tenant name.
Note: The tenant name should always be provided in lowercase.
The number of documents to be retrieved per page.
The page number to be retrieved. The size of the pages should be specified by the pageSize parameter.
List of properties used to sort the results, separated by colons.
Fields to be returned in the response.
Fields to be expanded in the response. It means that instead of the object IDs, the whole objects are returned in the response.
Flag indicating whether the total number of retrieved results should be returned.
A standard query parameter is used to search for specific values.
List of OAuth configurations.
OAuth 2.0 client-credentials settings for authenticating with a self-hosted LLM backend.
Token endpoint URL of the OAuth 2.0 authorization server used to request an access token.
OAuth 2.0 client identifier registered with the authorization server.
OAuth 2.0 grant type used to obtain an access token. Currently only client_credentials is supported.
Optional space-separated list of scopes to request for the access token.
Indicates whether the OAuth configuration is enabled.
trueUnique identifier of the entity.
The full response representing token. If the expand=token is not used, then only id field is returned, otherwise all fields are returned.
The request was syntactically incorrect.
The authorization token is invalid or has expired.
Authorization scopes of the access token are not sufficient and do not match the scopes required by the endpoint.
POST /ai-service/{tenant}/agentic/oauths/search HTTP/1.1
Host: api.emporix.io
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 23
{
"q": "name:~Complaint"
}[
{
"id": "oauth-1",
"url": "https://auth.example.com/token",
"clientId": "client-1",
"clientSecretToken": {
"id": "token-id"
},
"grantType": "client_credentials",
"scope": "llm read",
"enabled": true
},
{
"id": "oauth-2",
"url": "https://auth2.example.com/token",
"clientId": "client-2",
"clientSecretToken": {
"id": "token-id-2"
},
"grantType": "client_credentials",
"scope": "llm",
"enabled": true
}
]This functionality is in preview mode - some of the features may not be fully operational yet.
Retrieves the OAuth configuration by a given ID.
- : Needed to read AI agents.
Your Emporix tenant name.
Note: The tenant name should always be provided in lowercase.
Fields to be returned in the response.
Fields to be expanded in the response. It means that instead of the object IDs, the whole objects are returned in the response.
A single OAuth configuration.
OAuth 2.0 client-credentials settings for authenticating with a self-hosted LLM backend.
Token endpoint URL of the OAuth 2.0 authorization server used to request an access token.
OAuth 2.0 client identifier registered with the authorization server.
OAuth 2.0 grant type used to obtain an access token. Currently only client_credentials is supported.
Optional space-separated list of scopes to request for the access token.
Indicates whether the OAuth configuration is enabled.
trueUnique identifier of the entity.
The full response representing token. If the expand=token is not used, then only id field is returned, otherwise all fields are returned.
The authorization token is invalid or has expired.
Authorization scopes of the access token are not sufficient and do not match the scopes required by the endpoint.
Example response
GET /ai-service/{tenant}/agentic/oauths/{oauthId} HTTP/1.1
Host: api.emporix.io
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
"id": "oauth-1",
"url": "https://auth.example.com/token",
"clientId": "client-1",
"clientSecretToken": {
"id": "token-id"
},
"grantType": "client_credentials",
"scope": "llm read",
"enabled": true
}This functionality is in preview mode - some of the features may not be fully operational yet.
Updates or creates a specified OAuth configuration by replacing all of its existing data with data from the request body. If the metadata.version is provided, then optimistic locking is enabled and version must match the version in the database.
Currently only the client_credentials grant type is supported.
- : Needed to manage AI agents.
Your Emporix tenant name.
Note: The tenant name should always be provided in lowercase.
Allows you to disable a given entity even if it is used as a dependency in other entries. In that case, cascade disable is performed.
falseOAuth 2.0 client-credentials settings for authenticating with a self-hosted LLM backend.
Token endpoint URL of the OAuth 2.0 authorization server used to request an access token.
OAuth 2.0 client identifier registered with the authorization server.
OAuth 2.0 grant type used to obtain an access token. Currently only client_credentials is supported.
Optional space-separated list of scopes to request for the access token.
Indicates whether the OAuth configuration is enabled.
trueID of created OAuth configuration.
Identifier of the resource.
The resource has been successfully updated.
The request was syntactically incorrect.
The authorization token is invalid or has expired.
Authorization scopes of the access token are not sufficient and do not match the scopes required by the endpoint.
Example response
There are three possible reasons:
- Resource with given code already exists, please choose unique code for your resource
- Optimistic locking failed. If user sends metadata/version attribute which is outdated (someone else updated resource in the time user was performing his changes). User should retrieve the latest product data and retry the request.
- Optimistic locking failed. User did not provide metadata/version attribute in update request, but someone else updated product while it was internally handled by product service. Resending the same request can result in successful update, but the update can override recently persisted changes.
PUT /ai-service/{tenant}/agentic/oauths/{oauthId} HTTP/1.1
Host: api.emporix.io
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 167
{
"url": "https://auth.example.com/token",
"clientId": "client-1",
"clientSecretToken": {
"id": "token-id"
},
"grantType": "client_credentials",
"scope": "llm read",
"enabled": true
}{
"id": "a81bc81b-dead-4e5d-abff-90865d1e13b1"
}This functionality is in preview mode - some of the features may not be fully operational yet.
Deletes OAuth configuration by given ID.
Important: If an OAuth configuration is being used by an agent, then delete operation is not possible without force flag set to true.
- : Needed to manage AI agents.
Your Emporix tenant name.
Note: The tenant name should always be provided in lowercase.
Allows you to remove a given entity even if it is used as a dependency in other entries. In that case, the removed entity is unassigned from other entries.
falseGiven OAuth configuration has been deleted.
No content
The request was syntactically incorrect.
The authorization token is invalid or has expired.
Authorization scopes of the access token are not sufficient and do not match the scopes required by the endpoint.
DELETE /ai-service/{tenant}/agentic/oauths/{oauthId} HTTP/1.1
Host: api.emporix.io
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
No content
This functionality is in preview mode - some of the features may not be fully operational yet.
Partially updates a single OAuth configuration document with given information. Single update may contain multiple partial updates in the form of an array. It contains the allowed operations list:
add(adding an item to the items list)remove(removing an item from the items list)replace(replacing an item with given ID with new definition)
- : Needed to manage AI agents.
Your Emporix tenant name.
Note: The tenant name should always be provided in lowercase.
Allows you to disable a given entity even if it is used as a dependency in other entries. In that case, cascade disable is performed.
falsePartial update operation list.
/nameValue of the string type.
Any part of the details object.
No Content
No content
The request was syntactically incorrect.
The authorization token is invalid or has expired.
Authorization scopes of the access token are not sufficient and do not match the scopes required by the endpoint.
Example response
PATCH /ai-service/{tenant}/agentic/oauths/{oauthId} HTTP/1.1
Host: api.emporix.io
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 64
[
{
"op": "REPLACE",
"path": "/clientId",
"value": "client-1-updated"
}
]No content
Last updated
Was this helpful?

